Bug 425994 - wget should conform to RFC3484
wget should conform to RFC3484
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
http://www.redhat.com/archives/fedora...
: Reopened
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2007-12-17 12:06 EST by Dawid Gajownik
Modified: 2009-03-01 10:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:32:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dawid Gajownik 2007-12-17 12:06:10 EST
Description of problem:
wget prefers IPv4 address over IPv6 one:

[gajownik@cyklop tmp]$ LANG=C wget
ftp://ftp.heanet.ie/pub/fedora/linux/releases/8/Fedora/i386/iso/Fedora-8-i386-rescuecd.iso
--18:01:16-- 
ftp://ftp.heanet.ie/pub/fedora/linux/releases/8/Fedora/i386/iso/Fedora-8-i386-rescuecd.iso
           => `Fedora-8-i386-rescuecd.iso.2'
Resolving ftp.heanet.ie... 193.1.193.64, 2001:770:18:aa40::c101:c140
Connecting to ftp.heanet.ie|193.1.193.64|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.


Version-Release number of selected component (if applicable):
wget-1.10.2-16.fc8

Please add

prefer-family = IPv6

to the default /etc/wgetrc file.
Comment 1 Karsten Hopp 2008-02-07 07:14:20 EST
Even though IPv6 is slowly advancing, changing the default will surely break
quite a few scripts where machines have an IPv6 address but the services on that
server haven't been configured for IPv6. I'm preferring to go the route of least
surprises here and keep the upstream default.
Comment 2 David Woodhouse 2008-02-07 07:21:56 EST
Reopening, changing title.
Comment 3 Mark McClelland 2008-04-26 02:14:57 EDT
There's a related upstream bug:
https://savannah.gnu.org/bugs/?func=detailitem&item_id=22755

I agree with the original poster of that bug that "prefer-family = none" should
be the default. According to RFC3484: "Well-behaved applications SHOULD iterate
through the list of addresses returned from getaddrinfo() until they find a
working address."
Comment 4 David Woodhouse 2008-04-26 11:01:25 EDT
The comment in that bug seems to indicate that "prefer-family=none" would use
the results in the (random) order they're returned by the DNS server. That also
violates RFC3484.
Comment 5 David Woodhouse 2008-04-26 11:02:57 EDT
Oh, I think I misread it. It does look like it might be the correct thing to do,
since glibc will sort the results for us.
Comment 6 Bug Zapper 2008-11-26 04:02:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:32:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.